> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plugkit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Comment on a post



## OpenAPI

````yaml /api-reference/openapi.json post /v1/accounts/{id}/media/{mediaId}/comments
openapi: 3.0.0
info:
  title: PlugKit API
  description: >-
    One API to publish, schedule and message across Instagram, WhatsApp, TikTok,
    Telegram, YouTube and X.
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/accounts/{id}/media/{mediaId}/comments:
    post:
      tags:
        - accounts
      summary: Comment on a post
      operationId: AccountsController_replyToComment
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: mediaId
          required: true
          in: path
          schema:
            type: string
      responses:
        '201':
          description: ''
      security:
        - api-key: []
components:
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: sk_...
      type: http

````